Loading...
Searching...
No Matches
Dune::Simd::Overloads::RebindType< S, M, std::enable_if_t< VcImpl::IsMask< M >::value &&VcImpl::IsVectorizable< S >::value &&!std::is_same< S, Scalar< typename M::Vector > >::value > > Struct Template Reference

should have a member type `type` More...

`#include <dune/common/simd/vc.hh>`

Inheritance diagram for Dune::Simd::Overloads::RebindType< S, M, std::enable_if_t< VcImpl::IsMask< M >::value &&VcImpl::IsVectorizable< S >::value &&!std::is_same< S, Scalar< typename M::Vector > >::value > >:

## Public Types

using | type = Vc::SimdArray<S, Simd::lanes<M>()>

## Detailed Description

template<class S, class M>
struct Dune::Simd::Overloads::RebindType< S, M, std::enable_if_t< VcImpl::IsMask< M >::value &&VcImpl::IsVectorizable< S >::value &&!std::is_same< S, Scalar< typename M::Vector > >::value > >

should have a member type `type`

Implements Simd::Rebind

This specialization covers

- Mask -> Vc-vectorizable type except bool, Scalar<Mask::Vector>

## Member Typedef Documentation

## type

template<class S, class M>

using Dune::Simd::Overloads::RebindType< S, M, std::enable_if_t< VcImpl::IsMask< M >::value &&VcImpl::IsVectorizable< S >::value &&!std::is_same< S, Scalar< typename M::Vector > >::value > >::type = Vc::SimdArray<S, Simd::lanes<M>()>

The documentation for this struct was generated from the following file:

- simd/vc.hh